## qubes-core-admin-client 4.0.22

=== debian/changelog ===
qubes-core-admin-client (4.0.22-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Marek Marczykowski-Górecki <user@build-debian4>  Mon, 29 Oct 2018 06:20:20 +0000

qubes-core-admin-client (4.0.22-1) unstable; urgency=medium

  [ Patrik Hagara ]
  * qvm-ls: add filtering by domain power state

  [ Marek Marczykowski-Górecki ]
  * app: add option to ignore select volumes on app.clone_vm()
  * tools/qvm-create: properly create template-based StandaloneVM
  * tools/qvm-create: fix handling invalid label
  * Copy application menu on VM clone
  * Code style fix
  * tools: clarify qvm-service --help

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 05:45:34 +0100

qubes-core-admin-client (4.0.21-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Move pylint config to canonical place
  * devices: add DeviceInfo.devclass attribute

  [ AJ Jordan ]
  * Fix typo

  [ jimtahu ]
  * Exclude installed_by_rpm when Restoring VM from Backup

  [ Marek Marczykowski-Górecki ]
  * devices: drop DeviceInfo.options
  * events: deserialize DeviceInfo class in device-* events
  * devices: include devclass when comparing devices
  * events: try reconnecting to qubesd also on BrokenPipeError
  * rpm: fix building on fc29

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 07 Oct 2018 15:37:03 +0200

qubes-core-admin-client (4.0.20-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust shell input for Windows shell, for qvm-run tool
  * travis: install python-docutils in separate step

  [ Patrik Hagara ]
  * qvm-ls: add filtering by tags

  [ Marek Marczykowski-Górecki ]
  * tools/qvm-create: resize root volume if needed before imporing data
  * events: add support for wildcard event handlers
  * events: fix reconnecting to qubesd on its restart

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 Sep 2018 23:40:01 +0200

qubes-core-admin-client (4.0.19-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * app: fix error reporting when connection to qubesd fails
  * tools/qvm-start-gui: do not crash on qubesd restart
  * Fixes for pylint 2.0

  [ Marta Marczykowska-Górecka ]
  * Deleted a duplicate man qvm-services entry

  [ Marek Marczykowski-Górecki ]
  * qvm-start-gui: fix handlign rpc-clipboard feature
  * Add 'gui-emulated' feature
  * doc: add info what properties are inherited from template
  * backup: avoid deadlock on logging during restore
  * doc: add linux-stubdom feature to man qvm-features

  [ Marta Marczykowska-Górecka ]
  * Helper function that lists where a given VM is used
  * Added tests and minor correction to vm_usage helper function
  * Name change of vm dependencies helper function
  * Better information on error in qvm-remove
  * Added test for qvm-remove dependency reporting

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jul 2018 18:29:28 +0200

qubes-core-admin-client (4.0.18-1) unstable; urgency=medium

  [ Peter Gerber ]
  * tools/qvm-firewall: Describe available rules in --help output

  [ Marek Marczykowski-Górecki ]
  * tools/qvm-firewall: add 'expire' rule support
  * tools/qvm-firewall: make 'list' a default action

  [ Peter Gerber ]
  * tools/qvm-firewall: Show EXPIRE column in list output
  * tools/qvm-firewall: add dst4 and dst6 as synonyms for dsthost
  * .gitignore: add doc/_build/
  * tools/qvm-firewall: improve manpage and --help output

  [ Marek Marczykowski-Górecki ]
  * Fix reporting events even if its source is not available anymore
  * tools: don't fail qvm-template-postprocess on shutdown race
    condition

  [ jimtahu ]
  * Change "None" to Property None
  * Change "None" in qvm_prefs
  * Add test of qvm_prefs for specal case "None"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Jun 2018 03:31:03 +0200

qubes-core-admin-client (4.0.17-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * Remove _builddir and useless condition on qubes_builder
  * doc: handle release definition when not being in a git repository
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * tools: fix error reporing on unknown storage pool
  * tools/qvm-pool: add --set to modify pool properties
  * doc: adjust example in qvm-pool man page
  * Add 'make clean' target, use it for Debian build
  * tools/qvm-ls: add --kernel option for compatibility with R3.2
  * tools/qvm-template-postprocess: fix reinstall action

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Apr 2018 15:27:37 +0200

qubes-core-admin-client (4.0.16-1) unstable; urgency=medium

  * doc: typos
  * doc: fix module index generation
  * storage: add 'rw' and 'revision_to_keep' setters
  * qvm-volume: add 'info' and 'config' actions
  * storage: make Pool.{size,usage} integers
  * doc: update qvm-volume parameters
  * qvm-volume: refuse to shrink volume unless --force option is used
  * tools: add SubParsersHelpAction, which include subcommands details
    in --help
  * tools: suppress full traceback in console tools
  * qvm-template-postprocess: resize volume only when needed
  * qvm-template-postprocess: do not remove VM on failed reinstall

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 01:55:21 +0100

qubes-core-admin-client (4.0.15-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * doc: add 'pci-e820-host' feature description

  [ Rusty Bird ]
  * qvm-backup-restore: remove orphaned --replace-template option
  * qvm-backup-restore: really pass options
  * qvm-backup: let backup core handle default VM selection
  * restore.py: don't try to restore dispid property
  * restore.py: sort into three tiers in _templates_first()
  * restore.py: deal with DispVM templates
  * restore.py: factor out _restore_property() helper
  * restory.py: restore template_for_dispvms property early

