=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all,
- python-setuptools,
+ python3-all,
  python3-all,
  python3-setuptools,
  python3-sphinx,
@@ -30,15 +29,6 @@
 Description: Qubes administrative tools
  Tools to manage Qubes system using Admin API
 
-Package: python-qubesadmin
-Architecture: any
-Depends:
- ${python:Depends},
-Provides:
- ${python:Provides},
-Description: Python 2 bindings for Qubes Admin API
- Python 2 client side module for Qubes Admin API
-
 Package: python3-qubesadmin
 Architecture: any
 Depends:
