=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python3-all,
+ python-all,
+ python-setuptools,
  python3-all,
  python3-setuptools,
  python3-sphinx,
@@ -29,6 +30,17 @@
 Description: Qubes administrative tools
  Tools to manage Qubes system using Admin API
 
+Package: python-qubesadmin
+Architecture: any
+Depends:
+ python-docutils,
+ python-lxml,
+ ${python:Depends},
+Provides:
+ ${python:Provides},
+Description: Python 2 bindings for Qubes Admin API
+ Python 2 client side module for Qubes Admin API
+
 Package: python3-qubesadmin
 Architecture: any
 Depends:
