## qubes-core-admin-client 4.1.6

=== debian/changelog ===
qubes-core-admin-client (4.1.6-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 24 May 2020 04:38:13 +0200

qubes-core-admin-client (4.1.6-1) unstable; urgency=medium

  * Make pylint happy
  * tools/qvm-volume import: do not retrieve old size anymore
  * Do not check for object existence when got it with another Admin API
    call
  * Add simple properties caching
  * Try to use new property.GetAll method to pre-fill the cache
  * Implement a wrapper for dom0 -> dom0 qrexec calls
  * Adjust for changed qubesd socket protocol
  * Cache power state when caching is enabled
  * Enable caching in qvm-ls and qvm-prefs
  * events: implicitly enable caching when creating EventsDispatcher
  * rpm: ensure matching qubesd socket protocol version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 24 May 2020 04:38:13 +0200
