## qubes-core-admin-client 4.1.9

=== debian/changelog ===
qubes-core-admin-client (4.1.9-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 12 Aug 2020 11:01:43 +0200

qubes-core-admin-client (4.1.9-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Aug 2020 11:01:43 +0200
