=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Architecture: any
 Depends:
  python3-qubesadmin,
+ scrypt,
  ${python:Depends},
  ${python3:Depends},
  ${misc:Depends}
